| CMSIS-DSP Verison 1.4.1 CMSIS DSP Software Library

- CMSIS
- CORE
- DSP
- RTOS API
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_pid_instance_f32 Struct Reference

Instance structure for the floating-point PID Control.

## Data Fields
float32_t | A0
float32_t | A1
float32_t | A2
float32_t | state [3]
float32_t | Kp
float32_t | Ki
float32_t | Kd

## Field Documentation

float32_t arm_pid_instance_f32::A0

The derived gain, A0 = Kp + Ki + Kd .

Referenced by arm_pid_f32(), and arm_pid_init_f32().

float32_t arm_pid_instance_f32::A1

The derived gain, A1 = -Kp - 2Kd.

Referenced by arm_pid_f32(), and arm_pid_init_f32().

float32_t arm_pid_instance_f32::A2

The derived gain, A2 = Kd .

Referenced by arm_pid_f32(), and arm_pid_init_f32().

float32_t arm_pid_instance_f32::Kd

The derivative gain.

Referenced by arm_pid_init_f32().

float32_t arm_pid_instance_f32::Ki

The integral gain.

Referenced by arm_pid_init_f32().

float32_t arm_pid_instance_f32::Kp

The proportional gain.

Referenced by arm_pid_init_f32().

float32_t arm_pid_instance_f32::state[3]

The state array of length 3.

Referenced by arm_pid_f32(), arm_pid_init_f32(), and arm_pid_reset_f32().